<?php
  $q=$_POST['q'];
  include("conexionOdo.php");
  $query="SELECT * FROM SIO_PROC_POS WHERE grupo='$q' and grupo!=''" ;
  $result = mysql_query($query) or die('Consulta de grupos en cups: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboCup1 .=" <option value=''>".'Seleccione el Procedimiento'."</option>";
      }
    //  else
    //  {  
        $comboCup1 .=" <option value='".$line['cups']."'>".$line['cups']."  |  ".$line['descripcion']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
?>

<select name="odontoTr" id="odontoTr"style='height:25; width:500'>
  <?php echo $comboCup1; ?>
</select>